Get all subscription plans available for a product
Retrieves a list of plans
Authorization
X-Publishable-Key X-Publishable-Key<token>
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard. Required. Send it together with X-API-Key.
In: header
Query Parameters
merchant_product_id*string
ID of the product to retrieve plans for.
merchant_variant_id?string
ID of the product variant to retrieve plans for.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/subscriptions/plans?merchant_product_id=string"{ "plans": [ { "id": "spl_ba_PpkW16oIW", "name": "Monthly Subscription", "sku": "BOLT-12345", "created_at": "2023-10-01T12:00:00Z", "updated_at": "2023-10-01T12:00:00Z", "frequency": 1, "product_id": "sp_Tlj0Osm0N76T", "frequency_unit": "month", "initial_period": { "frequency": 2, "frequency_unit": "week" }, "checkout_link": "https://your_site.c.boltapp.com/g?merchant_product_id=37&merchant_variant_id=67&publishable_key=BQ9PKQksUGtj.Q9LwVLfV3WF4.32122926f7b9651a416a5099dc92dc2b4c87c8b922c114229f83b345d65f1195", "base_price": 3000, "ubb": true, "usage_pricing": [ { "meter_name": "API Calls", "event_type": "api_call", "aggregation_type": "sum", "charge_model": "per_unit", "charge_config": {}, "currency": "USD" } ], "status": "active", "currency": "USD", "trial": { "trial_days": 14 }, "usage": { "meter_id": 0, "charge_model": "string", "charge_config": {}, "sessions": [ { "duration": 0, "duration_unit": "string", "alert_threshold": "string" } ] } } ]}